Update customer custom fields

View as Markdown

Authentication

Authorizationstring
API Key authentication via header

Path parameters

idstringRequired
Customer Id

Request

This endpoint expects a list of objects.
customFieldValuestringRequired

Custom field value. For purchase order entries (isPurchaseOrder: true), this is the new PO number. Pass an empty string to unset the PO. Max 48 characters apply to PO values.

manufacturerCustomFieldIdstringOptional

Manufacturer custom field ID. Required when isPurchaseOrder is not true.

isPurchaseOrderbooleanOptional

Set to true to update the customer’s active purchase order instead of a manufacturer-defined custom field. When true, manufacturerCustomFieldId is ignored and customFieldValue is used as the PO number.

Response

Updated customer custom field

Errors

400
Bad Request Error
404
Not Found Error
500
Internal Server Error